import React, {useState} from 'react'
import DatePicker from './index'
import {compareSnapshotAndScreenshot} from "../../testUtils";

export default {
  title: 'Design System/Date picker',
  component: DatePicker
}

const Template1 = (args) => {
  const [startDate, setStartDate] = useState(new Date('2021/10/4'));
  return <div style={{width:'300px'}}><DatePicker
    selected={startDate}
    onChange={(update) => {
      setStartDate(update);
    }}
    {...args} />
  </div>
}

export const Default = Template1.bind({})
Default.args = {}
Default.parameters = {
  async puppeteerTest(page) {
    const element = await page.$('.Suc-input-field')
    await element.click() // open date picker
    await page.waitForTimeout(1000)
    await compareSnapshotAndScreenshot(page)
  }
}

export const DefaultError = Template1.bind({})
DefaultError.args = {
  textFieldProps:{
    label:'date picker',
    error:'Wrong date'
  }
}

const Template2 = (args) => {
  const [dateRange, setDateRange] = useState([new Date('2021/10/4'), new Date('2021/11/5')]);
  const [startDate, endDate] = dateRange;
  return <div style={{width:'300px'}}><DatePicker
    startDate={startDate}
    endDate={endDate}
    onChange={(update) => {
      setDateRange(update);
    }}
    {...args} />
  </div>
}

export const DateRange = Template2.bind({})

DateRange.args = {
  isClearable: true,
  selectsRange: true,
  monthsShown: 2,
  placeholderText:'From - To',
  textFieldProps:{
    label:'date range',
  }
}

DateRange.parameters = {
  async puppeteerTest(page) {
    const element = await page.$('.Suc-input-field')
    await element.click() // open date range
    await page.waitForTimeout(1000)
    await compareSnapshotAndScreenshot(page)
  }
}

export const DateRangeError = Template2.bind({})
DateRangeError.args = {
  isClearable: true,
  selectsRange: true,
  monthsShown: 2,
  placeholderText:'From - To',
  textFieldProps:{
    label:'date range',
    error:'Wrong dates'
  }
}
export const DateRangeNoHeader = Template2.bind({})
DateRangeNoHeader.args = {
  isClearable: true,
  selectsRange: true,
  monthsShown: 2,
  placeholderText:'From - To',
}

