import React from 'react'
import MenuPopover from './index'
import ButtonBase from '../ButtonBase'

export default {
  title: 'Design System/Menu Popover',
  component: MenuPopover
}

const options = {
  card: 'card',
  table: 'table'
}

const Template = (args) => <MenuPopover {...args} />

export const Default = Template.bind({})

Default.args = {
  triggerVariant: options.card,
  menuItems: [
    <ButtonBase><span>Option 1</span></ButtonBase>,
    <ButtonBase><span>Option 2</span></ButtonBase>,
    <ButtonBase><span>Option 3</span></ButtonBase>
  ]
}

export const disabledOption = Template.bind({})

disabledOption.args = {
  triggerVariant: options.card,
  menuItems: [
    <ButtonBase disabled><span>Option 1 is disabled</span></ButtonBase>,
    <ButtonBase><span>Option 2</span></ButtonBase>,
    <ButtonBase><span>Option 3</span></ButtonBase>
  ]
}
