import React from 'react'
import SearchInput from './index'
import { compareSnapshotAndScreenshot } from '../../testUtils'

export default {
  title: 'Design System/Search Input',
  component: SearchInput
}

const Template = (args) => <SearchInput {...args} />

export const regular = Template.bind({})

regular.args = {
  setFilter: () => {
    console.log('update filter')
  },
  alwaysOpen: false,
  placeholder: 'I\'m a placeholder'
}

regular.parameters = {
  async puppeteerTest(page) {
    const element = await page.$('.Suc-open-input')
    await element.hover() // check hover design
    await compareSnapshotAndScreenshot(page)
    await element.click() // open search input
    await page.waitForTimeout(1000)
    await compareSnapshotAndScreenshot(page)
  }
}

export const alwaysOpen = Template.bind({})

alwaysOpen.args = {
  setFilter: () => {
    console.log('update filter')
  },
  alwaysOpen: true
}
