import React from 'react'
import Text from './index'

export default {
  title: 'Design System/Text',
  component: Text
}

const Template = (args) => <Text {...args} />

export const regular = Template.bind({})

regular.args = {
  children: `I'm text`,
}

export const ellipsis = (args) => <div style={{width: '120px'}}><Text {...args} /></div>

ellipsis.args = {
  children: `I'm  a very long text`,
}

export const semiBold = Template.bind({})

semiBold.args = {
  children: `I'm text`,
  fontWeight: 600
}

export const header = Template.bind({})

header.args = {
  children: `I'm Header`,
  fontSize: 24,
  fontWeight: 600
}

export const blueText = Template.bind({})

blueText.args = {
  children: `I'm Header`,
  fontSize: 16,
  fontWeight: 600,
  color: 'primary'
}
export const greyText = Template.bind({})

greyText.args = {
  children: `I'm Header`,
  fontSize: 16,
  color: 'grey'
}



