import {useState} from 'react';

const useToggle = (defaultState = false) => {
    const [state, setState] = useState(defaultState)
    const toggle = () => {
        setState(prevState => !prevState)
    }
    return [state, toggle]
}

export default useToggle;